Index: /LMDZ6/trunk/libf/phylmd/Dust/phytracr_spl_mod.F90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/Dust/phytracr_spl_mod.F90	(revision 4156)
+++ /LMDZ6/trunk/libf/phylmd/Dust/phytracr_spl_mod.F90	(revision 4157)
@@ -820,4 +820,6 @@
 ! 1/ le call phytrac se fait avec nqmax-2 donc nous avons bien 
 ! les vrais traceurs (nbtr) dans phytrac (pas la vapeur ni eau liquide)
+!! AS : nqmax-2 devrait etre nqmax-3 apres introducton de H2Oi ; 
+!!   et c'est encore different avec le parser de DC ?
 !======================================================================
 #include "dimensions.h"
@@ -1264,5 +1266,5 @@
          IF(.NOT.tracers(iq)%isInPhysics) CYCLE
          itr = itr+1
-         write(str2,'(i2.2)') itr
+         write(str2,'(i2.2)') itrr
          call iophys_ecrit('TRA'//str2,klev,'SOURCE','',tr_seri(:,:,itr))
       enddo
@@ -1574,6 +1576,6 @@
       ENDIF
 ! JE   initializon to cero the tracers     
-!         DO it=1, nbtr
-!            tr_seri(:,:,it)=0.0
+!         DO itr=1,nbtr
+!            tr_seri(:,:,itr)=0.0
 !         ENDDO
 ! JE end     
@@ -1581,12 +1583,12 @@
 !        tr_seri(:,:,:)=0.0
 !
-!        DO it=1,nbtr
-!           trm_aux(it)=0.0
-!           src_aux(it)=0.0
-!           diag_trm(it)=0.0
-!           diag_drydep(it)=0.0
-!           diag_wetdep(it)=0.0
-!           diag_cvtdep(it)=0.0
-!           diag_emissn(it)=0.0
+!        DO itr=1,nbtr
+!           trm_aux(itr)=0.0
+!           src_aux(itr)=0.0
+!           diag_trm(itr)=0.0
+!           diag_drydep(itr)=0.0
+!           diag_wetdep(itr)=0.0
+!           diag_cvtdep(itr)=0.0
+!           diag_emissn(itr)=0.0
 !        ENDDO
 !        diag_g2part=0.0
@@ -1764,36 +1766,36 @@
 
 !
-      DO it=1, nbtr
+      DO itr=1,nbtr
        DO k=1,klev
         DO i=1,klon
-         d_tr_cv(i,k,it)=0.
-         d_tr_trsp(i,k,it)=0.
-         d_tr_sscav(i,k,it)=0.
-         d_tr_sat(i,k,it)=0.
-         d_tr_uscav(i,k,it)=0.
-         d_tr(i,k,it)=0.
-         d_tr_insc(i,k,it)=0.
-         d_tr_bcscav(i,k,it)=0.
-         d_tr_evapls(i,k,it)=0.
-         d_tr_ls(i,k,it)=0.
-         d_tr_cl(i,k,it)=0.
-         d_tr_th(i,k,it)=0.
+         d_tr_cv(i,k,itr)=0.
+         d_tr_trsp(i,k,itr)=0.
+         d_tr_sscav(i,k,itr)=0.
+         d_tr_sat(i,k,itr)=0.
+         d_tr_uscav(i,k,itr)=0.
+         d_tr(i,k,itr)=0.
+         d_tr_insc(i,k,itr)=0.
+         d_tr_bcscav(i,k,itr)=0.
+         d_tr_evapls(i,k,itr)=0.
+         d_tr_ls(i,k,itr)=0.
+         d_tr_cl(i,k,itr)=0.
+         d_tr_th(i,k,itr)=0.
   
-         d_tr_cv_o(i,k,it)=0.
-         d_tr_trsp_o(i,k,it)=0.
-         d_tr_sscav_o(i,k,it)=0.
-         d_tr_sat_o(i,k,it)=0.
-         d_tr_uscav_o(i,k,it)=0.
-
-
-         qDi(i,k,it)=0.
-         qPr(i,k,it)=0.
-         qPa(i,k,it)=0.
-         qMel(i,k,it)=0.
-         qTrdi(i,k,it)=0.
-         dtrcvMA(i,k,it)=0.
-         zmfd1a(i,k,it)=0.
-         zmfdam(i,k,it)=0.
-         zmfphi2(i,k,it)=0.
+         d_tr_cv_o(i,k,itr)=0.
+         d_tr_trsp_o(i,k,itr)=0.
+         d_tr_sscav_o(i,k,itr)=0.
+         d_tr_sat_o(i,k,itr)=0.
+         d_tr_uscav_o(i,k,itr)=0.
+
+
+         qDi(i,k,itr)=0.
+         qPr(i,k,itr)=0.
+         qPa(i,k,itr)=0.
+         qMel(i,k,itr)=0.
+         qTrdi(i,k,itr)=0.
+         dtrcvMA(i,k,itr)=0.
+         zmfd1a(i,k,itr)=0.
+         zmfdam(i,k,itr)=0.
+         zmfphi2(i,k,itr)=0.
         END DO
        END DO
@@ -1801,27 +1803,27 @@
 
 
-      DO it=1, nbtr
+      DO itr=1,nbtr
        DO i=1,klon
-          qPrls(i,it)=0.0
-          dtrconv(i,it)=0.0
+          qPrls(i,itr)=0.0
+          dtrconv(i,itr)=0.0
 !JE20140507<<
-          d_tr_dry(i,it)=0.0
-          flux_tr_dry(i,it)=0.0
+          d_tr_dry(i,itr)=0.0
+          flux_tr_dry(i,itr)=0.0
 !JE20140507>>
        ENDDO
       ENDDO
 
-      DO it=1, nbtr
+      DO itr=1,nbtr
       DO i=1, klon 
-        his_dh(i,it)=0.0
-        his_dhlsc(i,it)=0.0
-        his_dhcon(i,it)=0.0
-        his_dhbclsc(i,it)=0.0
-        his_dhbccon(i,it)=0.0
-        trm(i,it)=0.0
-        his_th(i,it)=0.0
-        his_dhkecv(i,it)=0.0
-        his_ds(i,it)=0.0
-        his_dhkelsc(i,it)=0.0
+        his_dh(i,itr)=0.0
+        his_dhlsc(i,itr)=0.0
+        his_dhcon(i,itr)=0.0
+        his_dhbclsc(i,itr)=0.0
+        his_dhbccon(i,itr)=0.0
+        trm(i,itr)=0.0
+        his_th(i,itr)=0.0
+        his_dhkecv(i,itr)=0.0
+        his_ds(i,itr)=0.0
+        his_dhkelsc(i,itr)=0.0
 
       ENDDO
@@ -2065,8 +2067,8 @@
 !=======================================================================
 !
-      DO it=1, nbtr
+      DO itr=1,nbtr
         DO j=1,klev
         DO i=1,klon
-           tmp_var(i,j)=tr_seri(i,j,it)
+           tmp_var(i,j)=tr_seri(i,j,itr)
         ENDDO
         ENDDO
@@ -2074,5 +2076,5 @@
         DO j=1,klev
         DO i=1,klon
-           tr_seri(i,j,it)=tmp_var(i,j)
+           tr_seri(i,j,itr)=tmp_var(i,j)
         ENDDO
         ENDDO
@@ -2091,9 +2093,9 @@
 !
       IF (lminmax) THEN
-        DO it=1,nbtr
-        CALL checknanqfi(tr_seri(:,:,it),qmin,qmax,'nan_avt_coarem')
+        DO itr=1,nbtr
+        CALL checknanqfi(tr_seri(:,:,itr),qmin,qmax,'nan_avt_coarem')
         ENDDO        
-        DO it=1,nbtr
-        CALL minmaxqfi2(tr_seri(:,:,it),qmin,qmax,'avt coarem')
+        DO itr=1,nbtr
+        CALL minmaxqfi2(tr_seri(:,:,itr),qmin,qmax,'avt coarem')
         ENDDO
         CALL minmaxsource(source_tr,qmin,qmax,'src: avt coarem')
@@ -2128,12 +2130,12 @@
 !     .                                         MAXVAL(tr_seri(:,:,3))
 #ifdef IOPHYS_DUST
-      do it=1,nbtr
-         write(str2,'(i2.2)') it
-         call iophys_ecrit('sav'//str2,1,'SOURCE','',source_tr(:,it))
-         call iophys_ecrit('fav'//str2,1,'SOURCE','',source_tr(:,it))
+      do itr=1,nbtr
+         write(str2,'(i2.2)') itr
+         call iophys_ecrit('sav'//str2,1,'SOURCE','',source_tr(:,itr))
+         call iophys_ecrit('fav'//str2,1,'SOURCE','',source_tr(:,itr))
       enddo
-      do it=1,nbtr
-         write(str2,'(i2.2)') it
-         call iophys_ecrit('TRB'//str2,klev,'SOURCE','',tr_seri(:,:,it))
+      do itr=1,nbtr
+         write(str2,'(i2.2)') itr
+         call iophys_ecrit('TRB'//str2,klev,'SOURCE','',tr_seri(:,:,itr))
       enddo
 #endif
@@ -2161,17 +2163,17 @@
 
 #ifdef IOPHYS_DUST
-      do it=1,nbtr
-         write(str2,'(i2.2)') it
-         call iophys_ecrit('sap'//str2,1,'SOURCE','',source_tr(:,it))
-         call iophys_ecrit('fap'//str2,1,'SOURCE','',source_tr(:,it))
+      do itr=1,nbtr
+         write(str2,'(i2.2)') itr
+         call iophys_ecrit('sap'//str2,1,'SOURCE','',source_tr(:,itr))
+         call iophys_ecrit('fap'//str2,1,'SOURCE','',source_tr(:,itr))
       enddo
 #endif
 
       IF (lminmax) THEN
-        DO it=1,nbtr
-        CALL checknanqfi(tr_seri(:,:,it),qmin,qmax,'nan_after_coarem')
-        ENDDO
-        DO it=1,nbtr
-        CALL minmaxqfi2(tr_seri(:,:,it),qmin,qmax,'after coarem')
+        DO itr=1,nbtr
+        CALL checknanqfi(tr_seri(:,:,itr),qmin,qmax,'nan_after_coarem')
+        ENDDO
+        DO itr=1,nbtr
+        CALL minmaxqfi2(tr_seri(:,:,itr),qmin,qmax,'after coarem')
         ENDDO
         CALL minmaxsource(source_tr,qmin,qmax,'src: after coarem')
@@ -2245,9 +2247,9 @@
 !
       IF (lminmax) THEN
-        DO it=1,nbtr
-        CALL checknanqfi(tr_seri(:,:,it),qmin,qmax,'nan_after precur')
-        ENDDO
-        DO it=1,nbtr
-        CALL minmaxqfi2(tr_seri(:,:,it),qmin,qmax,'after precur')
+        DO itr=1,nbtr
+        CALL checknanqfi(tr_seri(:,:,itr),qmin,qmax,'nan_after precur')
+        ENDDO
+        DO itr=1,nbtr
+        CALL minmaxqfi2(tr_seri(:,:,itr),qmin,qmax,'after precur')
         ENDDO
         CALL minmaxsource(source_tr,qmin,qmax,'src: after precur')
@@ -2259,8 +2261,8 @@
 #ifdef IOPHYS_DUST
 !
-      do it=1,nbtr
-         write(str2,'(i2.2)') it
-         call iophys_ecrit('tpr'//str2,1,'SOURCE','',source_tr(:,it))
-         call iophys_ecrit('fpr'//str2,1,'SOURCE','',flux_tr(:,it))
+      do itr=1,nbtr
+         write(str2,'(i2.2)') itr
+         call iophys_ecrit('tpr'//str2,1,'SOURCE','',source_tr(:,itr))
+         call iophys_ecrit('fpr'//str2,1,'SOURCE','',flux_tr(:,itr))
       enddo
 #endif
@@ -2279,13 +2281,13 @@
 !
       IF (lminmax) THEN
-        DO it=1,nbtr
-        CALL checknanqfi(tr_seri(:,:,it),qmin,qmax,'nan_after_fineem')
-        ENDDO
-        DO it=1,nbtr
-        CALL minmaxqfi2(tr_seri(:,:,it),qmin,qmax,'after fineem')
+        DO itr=1,nbtr
+        CALL checknanqfi(tr_seri(:,:,itr),qmin,qmax,'nan_after_fineem')
+        ENDDO
+        DO itr=1,nbtr
+        CALL minmaxqfi2(tr_seri(:,:,itr),qmin,qmax,'after fineem')
         ENDDO
       IF (lcheckmass) THEN
-        DO it=1,nbtr
-         CALL checkmass(tr_seri(:,:,it),RNAVO,masse(it),zdz,   &
+        DO itr=1,nbtr
+         CALL checkmass(tr_seri(:,:,itr),RNAVO,masse(itr),zdz,   &
            pplay,t_seri,iscm3,'after fineem')                  
         ENDDO
@@ -2306,8 +2308,8 @@
 
 #ifdef IOPHYS_DUST
-      do it=1,nbtr
-         write(str2,'(i2.2)') it
-         call iophys_ecrit('t'//str2,1,'SOURCE','',source_tr(:,it))
-         call iophys_ecrit('f'//str2,1,'SOURCE','',flux_tr(:,it))
+      do itr=1,nbtr
+         write(str2,'(i2.2)') itr
+         call iophys_ecrit('t'//str2,1,'SOURCE','',source_tr(:,itr))
+         call iophys_ecrit('f'//str2,1,'SOURCE','',flux_tr(:,itr))
       enddo
 #endif
@@ -2322,6 +2324,6 @@
 !=======================================================================
 !
-!        DO it=1,nbtr
-!         CALL checkmass(tr_seri(:,:,it),RNAVO,masse(it),zdz,
+!        DO itr=1,nbtr
+!         CALL checkmass(tr_seri(:,:,itr),RNAVO,masse(itr),zdz,
 !     .      pplay,t_seri,iscm3,'')
 !        ENDDO
@@ -2334,8 +2336,8 @@
       ENDIF
 
-      DO it=1, nbtr
+      DO itr=1,nbtr
          DO j=1,klev
          DO i=1,klon
-           tmp_var(i,j)=tr_seri(i,j,it)
+           tmp_var(i,j)=tr_seri(i,j,itr)
          ENDDO 
          ENDDO
@@ -2343,5 +2345,5 @@
          DO j=1,klev
          DO i=1,klon
-           tr_seri(i,j,it)=tmp_var(i,j)
+           tr_seri(i,j,itr)=tmp_var(i,j)
          ENDDO 
          ENDDO
@@ -2350,13 +2352,13 @@
 !----------------------------
       IF (lminmax) THEN
-        DO it=1,nbtr
-        CALL checknanqfi(tr_seri(:,:,it),qmin,qmax,'nan_before_depo')
-        ENDDO
-        DO it=1,nbtr
-        CALL minmaxqfi2(tr_seri(:,:,it),qmin,qmax,'before depo')
+        DO itr=1,nbtr
+        CALL checknanqfi(tr_seri(:,:,itr),qmin,qmax,'nan_before_depo')
+        ENDDO
+        DO itr=1,nbtr
+        CALL minmaxqfi2(tr_seri(:,:,itr),qmin,qmax,'before depo')
         ENDDO
       IF (lcheckmass) THEN
-        DO it=1,nbtr
-         CALL checkmass(tr_seri(:,:,it),RNAVO,masse(it),zdz, &
+        DO itr=1,nbtr
+         CALL checkmass(tr_seri(:,:,itr),RNAVO,masse(itr),zdz, &
            pplay,t_seri,iscm3,'before depo')
         ENDDO
@@ -2366,7 +2368,7 @@
 
 #ifdef IOPHYS_DUST
-      do it=1,nbtr
-         write(str2,'(i2.2)') it
-         call iophys_ecrit('TRC'//str2,klev,'SOURCE','',tr_seri(:,:,it))
+      do itr=1,nbtr
+         write(str2,'(i2.2)') itr
+         call iophys_ecrit('TRC'//str2,klev,'SOURCE','',tr_seri(:,:,itr))
       enddo
 #endif
@@ -2378,13 +2380,13 @@
 !
       IF (lminmax) THEN
-        DO it=1,nbtr
-        CALL checknanqfi(tr_seri(:,:,it),qmin,qmax,'nan_after_depo')
-        ENDDO
-        DO it=1,nbtr
-        CALL minmaxqfi2(tr_seri(:,:,it),qmin,qmax,'after depo')
+        DO itr=1,nbtr
+        CALL checknanqfi(tr_seri(:,:,itr),qmin,qmax,'nan_after_depo')
+        ENDDO
+        DO itr=1,nbtr
+        CALL minmaxqfi2(tr_seri(:,:,itr),qmin,qmax,'after depo')
         ENDDO
       IF (lcheckmass) THEN
-        DO it=1,nbtr
-         CALL checkmass(tr_seri(:,:,it),RNAVO,masse(it),zdz,   &
+        DO itr=1,nbtr
+         CALL checkmass(tr_seri(:,:,itr),RNAVO,masse(itr),zdz,   &
            pplay,t_seri,iscm3,'after depo')
         ENDDO
@@ -2408,7 +2410,7 @@
 
 #ifdef IOPHYS_DUST
-      do it=1,nbtr
-         write(str2,'(i2.2)') it
-         call iophys_ecrit('TRD'//str2,klev,'SOURCE','',tr_seri(:,:,it))
+      do itr=1,nbtr
+         write(str2,'(i2.2)') itr
+         call iophys_ecrit('TRD'//str2,klev,'SOURCE','',tr_seri(:,:,itr))
       enddo
 #endif
@@ -2428,9 +2430,9 @@
       END DO
 !
-      DO it=1, nbtr
+      DO itr=1,nbtr
       DO j=1, klev
       DO i=1, klon
-        tmp_var(i,j)=tr_seri(i,j,it)
-        aux_var2(i)=source_tr(i,it)
+        tmp_var(i,j)=tr_seri(i,j,itr)
+        aux_var2(i)=source_tr(i,itr)
       ENDDO
       ENDDO
@@ -2443,22 +2445,22 @@
 !KE
       CALL cltrac(pdtphys, coefh,t_seri,tmp_var,aux_var2,paprs,pplay,  &
-                 delp,aux_var3,d_tr_dry,flux_tr_dry(:,it))
+                 delp,aux_var3,d_tr_dry,flux_tr_dry(:,itr))
       ENDIF
 
       DO i=1, klon
       DO j=1, klev
-        tr_seri(i,j,it)=tmp_var(i,j)
-        d_tr(i,j,it)=aux_var3(i,j)
-        d_tr_cl(i,j,it)=d_tr(i,j,it)
+        tr_seri(i,j,itr)=tmp_var(i,j)
+        d_tr(i,j,itr)=aux_var3(i,j)
+        d_tr_cl(i,j,itr)=d_tr(i,j,itr)
       ENDDO
       ENDDO
       DO k = 1, klev
       DO i = 1, klon
-         tr_seri(i,k,it) = tr_seri(i,k,it) + d_tr(i,k,it)
+         tr_seri(i,k,itr) = tr_seri(i,k,itr) + d_tr(i,k,itr)
       ENDDO
       ENDDO
       print *,' AFTER Cltrac'
       IF (lminmax) THEN
-        CALL minmaxqfi2(tr_seri(:,:,it),qmin,qmax,'after cltrac')
+        CALL minmaxqfi2(tr_seri(:,:,itr),qmin,qmax,'after cltrac')
       ENDIF
       ENDDO !--end itr loop
@@ -2484,7 +2486,7 @@
       call iophys_ecrit('yv1',1,'yv1','',yv1)
       call iophys_ecrit('delp',klev,'delp','',delp)
-      do it=1,nbtr
-         write(str2,'(i2.2)') it
-         call iophys_ecrit('TRE'//str2,klev,'SOURCE','',tr_seri(:,:,it))
+      do itr=1,nbtr
+         write(str2,'(i2.2)') itr
+         call iophys_ecrit('TRE'//str2,klev,'SOURCE','',tr_seri(:,:,itr))
       enddo
 #endif
@@ -2503,13 +2505,13 @@
       
        IF (lminmax) THEN
-        DO it=1,nbtr
-       CALL checknanqfi(tr_seri(:,:,it),qmin,qmax,'nan_before therm')
-        ENDDO
-        DO it=1,nbtr
-        CALL minmaxqfi2(tr_seri(:,:,it),qmin,qmax,'before therm')
+        DO itr=1,nbtr
+       CALL checknanqfi(tr_seri(:,:,itr),qmin,qmax,'nan_before therm')
+        ENDDO
+        DO itr=1,nbtr
+        CALL minmaxqfi2(tr_seri(:,:,itr),qmin,qmax,'before therm')
         ENDDO
       IF (lcheckmass) THEN
-        DO it=1,nbtr
-         CALL checkmass(tr_seri(:,:,it),RNAVO,masse(it),zdz,  &
+        DO itr=1,nbtr
+         CALL checkmass(tr_seri(:,:,itr),RNAVO,masse(itr),zdz,  &
            pplay,t_seri,iscm3,'before therm')
         ENDDO
@@ -2518,11 +2520,11 @@
       ENDIF
 
-      DO it=1,nbtr
+      DO itr=1,nbtr
          DO k=1,klev
             DO i=1,klon
-               tmp_var3(i,k,it)=tr_seri(i,k,it)
-               d_tr_th(i,k,it)=0.
-               tr_seri(i,k,it)=MAX(tr_seri(i,k,it),0.)
-!JE: precursor >>1e10         tr_seri(i,k,it)=MIN(tr_seri(i,k,it),1.e10)
+               tmp_var3(i,k,itr)=tr_seri(i,k,itr)
+               d_tr_th(i,k,itr)=0.
+               tr_seri(i,k,itr)=MAX(tr_seri(i,k,itr),0.)
+!JE: precursor >>1e10         tr_seri(i,k,itr)=MIN(tr_seri(i,k,itr),1.e10)
             END DO
          END DO
@@ -2530,14 +2532,14 @@
 
 !JE  new implicit scheme 20140323
-      DO it=1,nbtr
+      DO itr=1,nbtr
         CALL thermcell_dq(klon,klev,1,pdtphys,fm_therm,entr_therm,  &
-                         zmasse,tr_seri(1:klon,1:klev,it),         &
-                         d_tr(1:klon,1:klev,it),ztra_th,0 )
+                         zmasse,tr_seri(1:klon,1:klev,itr),         &
+                         d_tr(1:klon,1:klev,itr),ztra_th,0 )
 
         DO k=1,klev
            DO i=1,klon
-              d_tr(i,k,it)=pdtphys*d_tr(i,k,it)
-              d_tr_th(i,k,it)=d_tr_th(i,k,it)+d_tr(i,k,it)
-              tr_seri(i,k,it)=MAX(tr_seri(i,k,it)+d_tr(i,k,it),0.)
+              d_tr(i,k,itr)=pdtphys*d_tr(i,k,itr)
+              d_tr_th(i,k,itr)=d_tr_th(i,k,itr)+d_tr(i,k,itr)
+              tr_seri(i,k,itr)=MAX(tr_seri(i,k,itr)+d_tr(i,k,itr),0.)
               END DO
         END DO
@@ -2547,15 +2549,15 @@
 ! old scheme explicit
 !       nsplit=10
-!       DO it=1,nbtr
+!       DO itr=1,nbtr
 !          DO isplit=1,nsplit
 !              CALL dqthermcell(klon,klev,pdtphys/nsplit, 
 !     .            fm_therm,entr_therm,zmasse, 
-!     .            tr_seri(1:klon,1:klev,it),
-!     .            d_tr(1:klon,1:klev,it),ztra_th)
+!     .            tr_seri(1:klon,1:klev,itr),
+!     .            d_tr(1:klon,1:klev,itr),ztra_th)
 !            DO k=1,klev
 !               DO i=1,klon
-!                  d_tr(i,k,it)=pdtphys*d_tr(i,k,it)/nsplit
-!                  d_tr_th(i,k,it)=d_tr_th(i,k,it)+d_tr(i,k,it)
-!                  tr_seri(i,k,it)=MAX(tr_seri(i,k,it)+d_tr(i,k,it),0.)
+!                  d_tr(i,k,itr)=pdtphys*d_tr(i,k,itr)/nsplit
+!                  d_tr_th(i,k,itr)=d_tr_th(i,k,itr)+d_tr(i,k,itr)
+!                  tr_seri(i,k,itr)=MAX(tr_seri(i,k,itr)+d_tr(i,k,itr),0.)
 !               END DO
 !            END DO
@@ -2564,13 +2566,13 @@
 !JE end modif 20140323
 
-      DO it=1,nbtr
+      DO itr=1,nbtr
          DO k=1,klev
             DO i=1,klon
-          tmp_var(i,k)=tr_seri(i,k,it)-tmp_var3(i,k,it)
+          tmp_var(i,k)=tr_seri(i,k,itr)-tmp_var3(i,k,itr)
             ENDDO
          ENDDO
        IF (lminmax) THEN
       IF (lcheckmass) THEN
-         CALL checkmass(tmp_var(:,:),RNAVO,masse(it),zdz,  &
+         CALL checkmass(tmp_var(:,:),RNAVO,masse(itr),zdz,  &
            pplay,t_seri,iscm3,'dtr therm ')
       ENDIF
@@ -2580,7 +2582,7 @@
          DO k=1,klev
             DO i=1,klon
-               his_th(i,it)=his_th(i,it)+    &
+               his_th(i,itr)=his_th(i,itr)+    &
                            (tmp_var(i,k))/RNAVO*   &
-                     masse(it)*1.e3*1.e6*zdz(i,k)/pdtphys
+                     masse(itr)*1.e3*1.e6*zdz(i,k)/pdtphys
             END DO !klon
          END DO !klev
@@ -2588,13 +2590,13 @@
       END DO !it
        IF (lminmax) THEN
-        DO it=1,nbtr
-       CALL checknanqfi(tr_seri(:,:,it),qmin,qmax,'nan_after therm')
-        ENDDO
-        DO it=1,nbtr
-        CALL minmaxqfi2(tr_seri(:,:,it),qmin,qmax,'after therm')
+        DO itr=1,nbtr
+       CALL checknanqfi(tr_seri(:,:,itr),qmin,qmax,'nan_after therm')
+        ENDDO
+        DO itr=1,nbtr
+        CALL minmaxqfi2(tr_seri(:,:,itr),qmin,qmax,'after therm')
         ENDDO
       IF (lcheckmass) THEN
-        DO it=1,nbtr
-         CALL checkmass(tr_seri(:,:,it),RNAVO,masse(it),zdz,   &
+        DO itr=1,nbtr
+         CALL checkmass(tr_seri(:,:,itr),RNAVO,masse(itr),zdz,   &
            pplay,t_seri,iscm3,'after therm')
         ENDDO
@@ -2621,8 +2623,8 @@
 
 
-      DO it=1,nbtr
+      DO itr=1,nbtr
       DO j=1,klev
       DO i=1,klon
-         tmp_var(i,j)=tr_seri(i,j,it)
+         tmp_var(i,j)=tr_seri(i,j,itr)
       ENDDO
       ENDDO
@@ -2630,5 +2632,5 @@
       DO j=1,klev
       DO i=1,klon
-         tr_seri(i,j,it)=tmp_var(i,j)
+         tr_seri(i,j,itr)=tmp_var(i,j)
       ENDDO
       ENDDO
@@ -2639,13 +2641,13 @@
 
       IF (lminmax) THEN
-        DO it=1,nbtr
-        CALL checknanqfi(tr_seri(:,:,it),qmin,qmax,'nan_before_sedi')
-        ENDDO
-        DO it=1,nbtr
-        CALL minmaxqfi2(tr_seri(:,:,it),qmin,qmax,'before sedi')
+        DO itr=1,nbtr
+        CALL checknanqfi(tr_seri(:,:,itr),qmin,qmax,'nan_before_sedi')
+        ENDDO
+        DO itr=1,nbtr
+        CALL minmaxqfi2(tr_seri(:,:,itr),qmin,qmax,'before sedi')
         ENDDO
       IF (lcheckmass) THEN
-        DO it=1,nbtr
-         CALL checkmass(tr_seri(:,:,it),RNAVO,masse(it),zdz,   &
+        DO itr=1,nbtr
+         CALL checkmass(tr_seri(:,:,itr),RNAVO,masse(itr),zdz,   &
            pplay,t_seri,iscm3,'before sedi')
         ENDDO
@@ -2665,13 +2667,13 @@
 
       IF (lminmax) THEN
-        DO it=1,nbtr
-        CALL checknanqfi(tr_seri(:,:,it),qmin,qmax,'nan_after_sedi')
-        ENDDO
-        DO it=1,nbtr
-        CALL minmaxqfi2(tr_seri(:,:,it),qmin,qmax,'after sedi')
+        DO itr=1,nbtr
+        CALL checknanqfi(tr_seri(:,:,itr),qmin,qmax,'nan_after_sedi')
+        ENDDO
+        DO itr=1,nbtr
+        CALL minmaxqfi2(tr_seri(:,:,itr),qmin,qmax,'after sedi')
         ENDDO
       IF (lcheckmass) THEN
-        DO it=1,nbtr
-         CALL checkmass(tr_seri(:,:,it),RNAVO,masse(it),zdz,  &
+        DO itr=1,nbtr
+         CALL checkmass(tr_seri(:,:,itr),RNAVO,masse(itr),zdz,  &
            pplay,t_seri,iscm3,'after sedi')
         ENDDO
@@ -2683,7 +2685,7 @@
 !=======================================================================
 #ifdef IOPHYS_DUST
-      do it=1,nbtr
-         write(str2,'(i2.2)') it
-         call iophys_ecrit('TRF'//str2,klev,'SOURCE','',tr_seri(:,:,it))
+      do itr=1,nbtr
+         write(str2,'(i2.2)') itr
+         call iophys_ecrit('TRF'//str2,klev,'SOURCE','',tr_seri(:,:,itr))
       enddo
 #endif
@@ -2700,8 +2702,8 @@
       ENDIF
 
-      DO it=1, nbtr
+      DO itr=1,nbtr
          DO j=1,klev
          DO i=1,klon
-           tmp_var(i,j)=tr_seri(i,j,it)
+           tmp_var(i,j)=tr_seri(i,j,itr)
          ENDDO 
          ENDDO
@@ -2709,5 +2711,5 @@
          DO j=1,klev
          DO i=1,klon
-           tr_seri(i,j,it)=tmp_var(i,j)
+           tr_seri(i,j,itr)=tmp_var(i,j)
          ENDDO 
          ENDDO
@@ -2726,13 +2728,13 @@
 
       IF (lminmax) THEN
-        DO it=1,nbtr
-        CALL checknanqfi(tr_seri(:,:,it),qmin,qmax,'nan_beforegastopar')
-        ENDDO
-        DO it=1,nbtr
-        CALL minmaxqfi2(tr_seri(:,:,it),qmin,qmax,'before gastopar')
+        DO itr=1,nbtr
+        CALL checknanqfi(tr_seri(:,:,itr),qmin,qmax,'nan_beforegastopar')
+        ENDDO
+        DO itr=1,nbtr
+        CALL minmaxqfi2(tr_seri(:,:,itr),qmin,qmax,'before gastopar')
         ENDDO
       IF (lcheckmass) THEN
-        DO it=1,nbtr
-         CALL checkmass(tr_seri(:,:,it),RNAVO,masse(it),zdz,  &
+        DO itr=1,nbtr
+         CALL checkmass(tr_seri(:,:,itr),RNAVO,masse(itr),zdz,  &
            pplay,t_seri,iscm3,'before gastopar')
         ENDDO
@@ -2746,13 +2748,13 @@
 !
       IF (lminmax) THEN
-        DO it=1,nbtr
-        CALL checknanqfi(tr_seri(:,:,it),qmin,qmax,'nan_after_gastopar')
-        ENDDO
-        DO it=1,nbtr
-        CALL minmaxqfi2(tr_seri(:,:,it),qmin,qmax,'after gastopar')
+        DO itr=1,nbtr
+        CALL checknanqfi(tr_seri(:,:,itr),qmin,qmax,'nan_after_gastopar')
+        ENDDO
+        DO itr=1,nbtr
+        CALL minmaxqfi2(tr_seri(:,:,itr),qmin,qmax,'after gastopar')
         ENDDO
       IF (lcheckmass) THEN
-        DO it=1,nbtr
-         CALL checkmass(tr_seri(:,:,it),RNAVO,masse(it),zdz,  &
+        DO itr=1,nbtr
+         CALL checkmass(tr_seri(:,:,itr),RNAVO,masse(itr),zdz,  &
            pplay,t_seri,iscm3,'after gastopar')
         ENDDO
@@ -2777,7 +2779,7 @@
 
 #ifdef IOPHYS_DUST
-      do it=1,nbtr
-         write(str2,'(i2.2)') it
-         call iophys_ecrit('TRG'//str2,klev,'SOURCE','',tr_seri(:,:,it))
+      do itr=1,nbtr
+         write(str2,'(i2.2)') itr
+         call iophys_ecrit('TRG'//str2,klev,'SOURCE','',tr_seri(:,:,itr))
       enddo
 #endif
@@ -2793,8 +2795,8 @@
 
 
-       DO it=1, nbtr
+       DO itr=1,nbtr
         DO j=1,klev
         DO i=1,klon
-           tmp_var(i,j)=tr_seri(i,j,it)
+           tmp_var(i,j)=tr_seri(i,j,itr)
         ENDDO
         ENDDO
@@ -2802,5 +2804,5 @@
         DO j=1,klev
         DO i=1,klon
-           tr_seri(i,j,it)=tmp_var(i,j)
+           tr_seri(i,j,itr)=tmp_var(i,j)
         ENDDO
         ENDDO
@@ -2815,13 +2817,13 @@
 
       IF (lminmax) THEN
-        DO it=1,nbtr
-        CALL checknanqfi(tr_seri(:,:,it),qmin,qmax,'nan_before_incloud')
-        ENDDO
-        DO it=1,nbtr
-        CALL minmaxqfi2(tr_seri(:,:,it),qmin,qmax,'before incloud')
+        DO itr=1,nbtr
+        CALL checknanqfi(tr_seri(:,:,itr),qmin,qmax,'nan_before_incloud')
+        ENDDO
+        DO itr=1,nbtr
+        CALL minmaxqfi2(tr_seri(:,:,itr),qmin,qmax,'before incloud')
         ENDDO
       IF (lcheckmass) THEN
-        DO it=1,nbtr
-         CALL checkmass(tr_seri(:,:,it),RNAVO,masse(it),zdz,  &
+        DO itr=1,nbtr
+         CALL checkmass(tr_seri(:,:,itr),RNAVO,masse(itr),zdz,  &
            pplay,t_seri,iscm3,'before incloud')
         ENDDO
@@ -2856,13 +2858,13 @@
       print *,' BEFORE blcloud (after incloud)'
       IF (lminmax) THEN
-        DO it=1,nbtr
-        CALL checknanqfi(tr_seri(:,:,it),qmin,qmax,'nan_before_blcloud')
-        ENDDO
-        DO it=1,nbtr
-        CALL minmaxqfi2(tr_seri(:,:,it),qmin,qmax,'before blcloud')
+        DO itr=1,nbtr
+        CALL checknanqfi(tr_seri(:,:,itr),qmin,qmax,'nan_before_blcloud')
+        ENDDO
+        DO itr=1,nbtr
+        CALL minmaxqfi2(tr_seri(:,:,itr),qmin,qmax,'before blcloud')
         ENDDO
       IF (lcheckmass) THEN
-        DO it=1,nbtr
-         CALL checkmass(tr_seri(:,:,it),RNAVO,masse(it),zdz,   &
+        DO itr=1,nbtr
+         CALL checkmass(tr_seri(:,:,itr),RNAVO,masse(itr),zdz,   &
            pplay,t_seri,iscm3,'before blcloud')
         ENDDO
@@ -2899,13 +2901,13 @@
 
       IF (lminmax) THEN
-        DO it=1,nbtr
-        CALL checknanqfi(tr_seri(:,:,it),qmin,qmax,'nan_after_blcloud')
+        DO itr=1,nbtr
+        CALL checknanqfi(tr_seri(:,:,itr),qmin,qmax,'nan_after_blcloud')
         ENDDO                           
-        DO it=1,nbtr
-        CALL minmaxqfi2(tr_seri(:,:,it),qmin,qmax,'after blcloud')
+        DO itr=1,nbtr
+        CALL minmaxqfi2(tr_seri(:,:,itr),qmin,qmax,'after blcloud')
         ENDDO                                  
       IF (lcheckmass) THEN
-        DO it=1,nbtr
-         CALL checkmass(tr_seri(:,:,it),RNAVO,masse(it),zdz,  &
+        DO itr=1,nbtr
+         CALL checkmass(tr_seri(:,:,itr),RNAVO,masse(itr),zdz,  &
            pplay,t_seri,iscm3,'after blcloud')
         ENDDO
@@ -2917,8 +2919,8 @@
       ENDIF !--lessivage
 
-      DO it=1, nbtr
+      DO itr=1,nbtr
          DO j=1,klev
          DO i=1,klon
-           tmp_var(i,j)=tr_seri(i,j,it)
+           tmp_var(i,j)=tr_seri(i,j,itr)
          ENDDO 
          ENDDO
@@ -2926,5 +2928,5 @@
          DO j=1,klev
          DO i=1,klon
-           tr_seri(i,j,it)=tmp_var(i,j)
+           tr_seri(i,j,itr)=tmp_var(i,j)
          ENDDO 
          ENDDO
@@ -2952,7 +2954,7 @@
 !
 #ifdef IOPHYS_DUST
-      do it=1,nbtr
-         write(str2,'(i2.2)') it
-         call iophys_ecrit('TRH'//str2,klev,'SOURCE','',tr_seri(:,:,it))
+      do itr=1,nbtr
+         write(str2,'(i2.2)') itr
+         call iophys_ecrit('TRH'//str2,klev,'SOURCE','',tr_seri(:,:,itr))
       enddo
 #endif
@@ -2969,13 +2971,13 @@
 
       IF (lminmax) THEN
-        DO it=1,nbtr
-        CALL checknanqfi(tr_seri(:,:,it),qmin,qmax,'nan_before_trconve')
-        ENDDO
-        DO it=1,nbtr
-        CALL minmaxqfi2(tr_seri(:,:,it),qmin,qmax,'before trconve')
+        DO itr=1,nbtr
+        CALL checknanqfi(tr_seri(:,:,itr),qmin,qmax,'nan_before_trconve')
+        ENDDO
+        DO itr=1,nbtr
+        CALL minmaxqfi2(tr_seri(:,:,itr),qmin,qmax,'before trconve')
         ENDDO
       IF (lcheckmass) THEN
-        DO it=1,nbtr
-         CALL checkmass(tr_seri(:,:,it),RNAVO,masse(it),zdz,  &
+        DO itr=1,nbtr
+         CALL checkmass(tr_seri(:,:,itr),RNAVO,masse(itr),zdz,  &
            pplay,t_seri,iscm3,'before trconve')
         ENDDO
@@ -2994,6 +2996,6 @@
                   pen_d,pde_d,paprs,zdz,xconv,qmin,qmax,.false.,masse, &
                                                       dtrconv,tr_seri)
-         DO it=1, nbtr
-           d_tr_cv(:,:,it)=0.
+         DO itr=1,nbtr
+           d_tr_cv(:,:,itr)=0.
          ENDDO
 
@@ -3001,21 +3003,21 @@
 ! KE
          print *,'JE: KE in phytracr_spl'
-         DO it=1, nbtr
+         DO itr=1,nbtr
              DO k = 1, klev
               DO i = 1, klon
-               tmp_var3(i,k,it)=tr_seri(i,k,it)
+               tmp_var3(i,k,itr)=tr_seri(i,k,itr)
               END DO
              END DO
          ENDDO
 
-         DO it=1, nbtr
+         DO itr=1,nbtr
 !          routine for aerosols . otherwise, check cvltrorig
-         print *,'Check sum before cvltr it',it,SUM(tr_seri(:,:,it))
+         print *,'Check sum before cvltr itr)',itr,SUM(tr_seri(:,:,itr))
 !           IF (.FALSE.) THEN 
            CALL cvltr_spl(pdtphys, da, phi,phi2,d1a,dam, mp,ep,    &
             sigd,sij,wght_cvfd,clw,elij,epmlmMm,eplaMm,           &
             pmflxr,pmflxs,evapls,t_seri,wdtrainA,wdtrainM,          &
-!            paprs,it,tr_seri,upwd,dnwd,itop_con,ibas_con,        &
-            paprs,it,tmp_var3,upwd,dnwd,itop_con,ibas_con,        &
+!            paprs,itr,tr_seri,upwd,dnwd,itop_con,ibas_con,        &
+            paprs,itr,tmp_var3,upwd,dnwd,itop_con,ibas_con,        &
             henry,kk,zrho,ccntrAA_spla,ccntrENV_spla,coefcoli_spla, &
             id_prec,id_fine,id_coss, id_codu, id_scdu,              &
@@ -3029,5 +3031,5 @@
 !     .       sigd,sij,wght_cvfd,clw,elij,epmlmMm,eplaMm,
 !     .       pmflxr,pmflxs,evapls,t_seri,wdtrainA,wdtrainM,
-!     .       paprs,it,tmp_var3,upwd,dnwd,itop_con,ibas_con,
+!     .       paprs,itr,tmp_var3,upwd,dnwd,itop_con,ibas_con,
 !     .       d_tr_cv,d_tr_trsp,d_tr_sscav,d_tr_sat,d_tr_uscav,qDi,qPr,
 !     .       qPa,qMel,qTrdi,dtrcvMA,Mint,
@@ -3047,8 +3049,8 @@
 !             CALL checknanqfi(paprs(:,:),1.,-1.,'paprs ')
 !             CALL checknanqfi(pplay(:,:),1.,-1.,'pplay ')
-!             CALL checknanqfi(tmp_var3(:,:,it),1.,-1.,'tmp_var3 ')
+!             CALL checknanqfi(tmp_var3(:,:,itr),1.,-1.,'tmp_var3 ')
 !             CALL checknanqfi(upwd(:,:),1.,-1.,'upwd ')
 !             CALL checknanqfi(dnwd(:,:),1.,-1.,'dnwd ')
-!             CALL checknanqfi(d_tr_cv(:,:,it),1.,-1.,'d_tr_cv ')
+!             CALL checknanqfi(d_tr_cv(:,:,itr),1.,-1.,'d_tr_cv ')
 !             IF (.TRUE.) THEN
 !             CALL cvltr_noscav(it,pdtphys, da, phi,mp,wght_cvfd,paprs,
@@ -3057,7 +3059,7 @@
              DO k = 1, klev
               DO i = 1, klon
-!               tr_seri(i,k,it) = tr_seri(i,k,it) + d_tr_cv(i,k,it)
-               tr_seri(i,k,it)=(tmp_var3(i,k,it)+d_tr_cv(i,k,it))
-               tmp_var(i,k)=d_tr_cv(i,k,it)
+!               tr_seri(i,k,itr) = tr_seri(i,k,itr) + d_tr_cv(i,k,itr)
+               tr_seri(i,k,itr)=(tmp_var3(i,k,itr)+d_tr_cv(i,k,itr))
+               tmp_var(i,k)=d_tr_cv(i,k,itr)
 
               END DO
@@ -3068,7 +3070,7 @@
              DO k = 1, klev
               DO i = 1, klon
-               dtrconv(i,it)=0.0
-               his_dhkecv(i,it)=his_dhkecv(i,it)-tmp_var(i,k)  &
-                     /RNAVO*masse(it)*1.e3*1.e6*zdz(i,k)/pdtphys
+               dtrconv(i,itr)=0.0
+               his_dhkecv(i,itr)=his_dhkecv(i,itr)-tmp_var(i,k)  &
+                     /RNAVO*masse(itr)*1.e3*1.e6*zdz(i,k)/pdtphys
               END DO
              END DO
@@ -3079,7 +3081,7 @@
              DO k = 1, klev
               DO i = 1, klon
-               dtrconv(i,it)=0.0
-               his_ds(i,it)=his_ds(i,it)-tmp_var(i,k)  &
-                     /RNAVO*masse(it)*1.e3*1.e6*zdz(i,k)/pdtphys
+               dtrconv(i,itr)=0.0
+               his_ds(i,itr)=his_ds(i,itr)-tmp_var(i,k)  &
+                     /RNAVO*masse(itr)*1.e3*1.e6*zdz(i,k)/pdtphys
               END DO
              END DO
@@ -3087,12 +3089,12 @@
        IF (lminmax) THEN
 
-         print *,'Check sum after cvltr it',it,SUM(tr_seri(:,:,it))
-        CALL minmaxqfi2(d_tr_cv(:,:,it),qmin,qmax,'d_tr_cv:')
-        CALL minmaxqfi2(d_tr_trsp(:,:,it),qmin,qmax,'d_tr_trsp:')
-        CALL minmaxqfi2(d_tr_sscav(:,:,it),qmin,qmax,'d_tr_sscav:')
-        CALL minmaxqfi2(d_tr_sat(:,:,it),qmin,qmax,'d_tr_sat:')
-        CALL minmaxqfi2(d_tr_uscav(:,:,it),qmin,qmax,'d_tr_uscav:')
+         print *,'Check sum after cvltr itr)',itr,SUM(tr_seri(:,:,itr))
+        CALL minmaxqfi2(d_tr_cv(:,:,itr),qmin,qmax,'d_tr_cv:')
+        CALL minmaxqfi2(d_tr_trsp(:,:,itr),qmin,qmax,'d_tr_trsp:')
+        CALL minmaxqfi2(d_tr_sscav(:,:,itr),qmin,qmax,'d_tr_sscav:')
+        CALL minmaxqfi2(d_tr_sat(:,:,itr),qmin,qmax,'d_tr_sat:')
+        CALL minmaxqfi2(d_tr_uscav(:,:,itr),qmin,qmax,'d_tr_uscav:')
       IF (lcheckmass) THEN
-        CALL checkmass(d_tr_cv(:,:,it),RNAVO,masse(it),zdz,  &
+        CALL checkmass(d_tr_cv(:,:,itr),RNAVO,masse(itr),zdz,  &
            pplay,t_seri,.false.,'d_tr_cv:')
       ENDIF
@@ -3102,13 +3104,13 @@
         ENDIF ! iflag_conv
        IF (lminmax) THEN
-        DO it=1,nbtr
-        CALL checknanqfi(tr_seri(:,:,it),qmin,qmax,'nan_after_trcon')
-        ENDDO
-        DO it=1,nbtr
-        CALL minmaxqfi2(tr_seri(:,:,it),qmin,qmax,'after trconv')
+        DO itr=1,nbtr
+        CALL checknanqfi(tr_seri(:,:,itr),qmin,qmax,'nan_after_trcon')
+        ENDDO
+        DO itr=1,nbtr
+        CALL minmaxqfi2(tr_seri(:,:,itr),qmin,qmax,'after trconv')
         ENDDO
       IF (lcheckmass) THEN
-        DO it=1,nbtr
-         CALL checkmass(tr_seri(:,:,it),RNAVO,masse(it),zdz, &
+        DO itr=1,nbtr
+         CALL checkmass(tr_seri(:,:,itr),RNAVO,masse(itr),zdz, &
            pplay,t_seri,iscm3,'after trconv')
         ENDDO
@@ -3155,7 +3157,7 @@
       call iophys_ecrit('wdtrainM',klev,'wdtrainM','',wdtrainM)
 
-      do it=1,nbtr
-         write(str2,'(i2.2)') it
-         call iophys_ecrit('TRI'//str2,klev,'SOURCE','',tr_seri(:,:,it))
+      do itr=1,nbtr
+         write(str2,'(i2.2)') itr
+         call iophys_ecrit('TRI'//str2,klev,'SOURCE','',tr_seri(:,:,itr))
       enddo
 #endif
@@ -3171,13 +3173,13 @@
        print *,' BEFORE lsc_scav '
        IF (lminmax) THEN
-        DO it=1,nbtr
-       CALL checknanqfi(tr_seri(:,:,it),qmin,qmax,'nan_before_lsc_scav')
-        ENDDO
-        DO it=1,nbtr
-        CALL minmaxqfi2(tr_seri(:,:,it),qmin,qmax,'before lsc_scav')
+        DO itr=1,nbtr
+       CALL checknanqfi(tr_seri(:,:,itr),qmin,qmax,'nan_before_lsc_scav')
+        ENDDO
+        DO itr=1,nbtr
+        CALL minmaxqfi2(tr_seri(:,:,itr),qmin,qmax,'before lsc_scav')
         ENDDO
       IF (lcheckmass) THEN
-        DO it=1,nbtr
-         CALL checkmass(tr_seri(:,:,it),RNAVO,masse(it),zdz,  &
+        DO itr=1,nbtr
+         CALL checkmass(tr_seri(:,:,itr),RNAVO,masse(itr),zdz,  &
            pplay,t_seri,iscm3,'before lsc_scav')
         ENDDO
@@ -3196,5 +3198,5 @@
       !IF (.false.) THEN  ! test #DFB (Binta) sans lsc_scav_spl
         print *,'JE iflag_lscav',iflag_lscav
-        DO it = 1, nbtr
+        DO itr=1,nbtr
 
 !       incloud scavenging and removal by large scale rain ! orig : ql_incl
@@ -3203,9 +3205,9 @@
 !         Liu (2001) proposed to use 1.5e-3 kg/kg
 
-!       CALL lsc_scav_orig(pdtphys,it,iflag_lscav,ql_incl,prfl,psfl,
+!       CALL lsc_scav_orig(pdtphys,itr,iflag_lscav,ql_incl,prfl,psfl,
 !     .               rneb,beta_fisrt, beta_v1,pplay,paprs,
 !     .               t_seri,tr_seri,d_tr_insc, 
 !     .               d_tr_bcscav,d_tr_evapls,qPrls)
-          CALL lsc_scav_spl(pdtphys,it,iflag_lscav,ql_incl,prfl,psfl,  &
+          CALL lsc_scav_spl(pdtphys,itr,iflag_lscav,ql_incl,prfl,psfl,  &
                     rneb,beta_fisrt, beta_v1,pplay,paprs,      &
                     t_seri,tr_seri,d_tr_insc,                  &
@@ -3217,8 +3219,8 @@
           DO k = 1, klev
            DO i = 1, klon
-                d_tr_ls(i,k,it)=d_tr_insc(i,k,it)+d_tr_bcscav(i,k,it) &
-                        +d_tr_evapls(i,k,it)
-                tr_seri(i,k,it)=tr_seri(i,k,it)+d_tr_ls(i,k,it)
-                         tmp_var(i,k)=d_tr_ls(i,k,it)
+                d_tr_ls(i,k,itr)=d_tr_insc(i,k,itr)+d_tr_bcscav(i,k,itr) &
+                        +d_tr_evapls(i,k,itr)
+                tr_seri(i,k,itr)=tr_seri(i,k,itr)+d_tr_ls(i,k,itr)
+                         tmp_var(i,k)=d_tr_ls(i,k,itr)
            ENDDO
           ENDDO
@@ -3228,6 +3230,6 @@
           DO k=1,klev
            DO i=1,klon
-            his_dhkelsc(i,it)=his_dhkelsc(i,it)-tmp_var(i,k)    &
-                     /RNAVO*masse(it)*1.e3*1.e6*zdz(i,k)/pdtphys
+            his_dhkelsc(i,itr)=his_dhkelsc(i,itr)-tmp_var(i,k)    &
+                     /RNAVO*masse(itr)*1.e3*1.e6*zdz(i,k)/pdtphys
      
            END DO
@@ -3238,7 +3240,7 @@
       ELSE
         print *,'WARNING: NO lsc_scav, Please choose iflag_lscav=3 or 4'
-        DO it = 1, nbtr
+        DO itr=1,nbtr
           DO i=1,klon
-            his_dhkelsc(i,it)=0.0
+            his_dhkelsc(i,itr)=0.0
           END DO  ! klon
          END DO  !it=1,nbtr
@@ -3247,13 +3249,13 @@
        print *,' AFTER lsc_scav '
        IF (lminmax) THEN
-        DO it=1,nbtr
-       CALL checknanqfi(tr_seri(:,:,it),qmin,qmax,'nan_after_lsc_scav')
-        ENDDO
-        DO it=1,nbtr
-        CALL minmaxqfi2(tr_seri(:,:,it),qmin,qmax,'after lsc_scav')
+        DO itr=1,nbtr
+       CALL checknanqfi(tr_seri(:,:,itr),qmin,qmax,'nan_after_lsc_scav')
+        ENDDO
+        DO itr=1,nbtr
+        CALL minmaxqfi2(tr_seri(:,:,itr),qmin,qmax,'after lsc_scav')
         ENDDO
       IF (lcheckmass) THEN
-        DO it=1,nbtr
-         CALL checkmass(tr_seri(:,:,it),RNAVO,masse(it),zdz, &
+        DO itr=1,nbtr
+         CALL checkmass(tr_seri(:,:,itr),RNAVO,masse(itr),zdz, &
            pplay,t_seri,iscm3,'after lsc_scav')
         ENDDO
@@ -3281,7 +3283,7 @@
 !=======================================================================
 #ifdef IOPHYS_DUST
-      do it=1,nbtr
-         write(str2,'(i2.2)') it
-         call iophys_ecrit('TRJ'//str2,klev,'SOURCE','',tr_seri(:,:,it))
+      do itr=1,nbtr
+         write(str2,'(i2.2)') itr
+         call iophys_ecrit('TRJ'//str2,klev,'SOURCE','',tr_seri(:,:,itr))
       enddo
 #endif
@@ -3293,8 +3295,8 @@
 
   
-      DO it=1, nbtr
+      DO itr=1,nbtr
         DO j=1,klev
         DO i=1,klon
-           tmp_var(i,j)=tr_seri(i,j,it)
+           tmp_var(i,j)=tr_seri(i,j,itr)
         ENDDO
         ENDDO
@@ -3302,5 +3304,5 @@
         DO j=1,klev
         DO i=1,klon
-           tr_seri(i,j,it)=tmp_var(i,j)
+           tr_seri(i,j,itr)=tmp_var(i,j)
         ENDDO
         ENDDO
@@ -3310,9 +3312,9 @@
 !
 ! Computing burden in mg/m2
-      DO it=1, nbtr
+      DO itr=1,nbtr
       DO k=1, klev
       DO i=1, klon
-        trm(i,it)=trm(i,it)+tr_seri(i,k,it)*1.e6*zdz(i,k)*  &
-                 masse(it)*1.e3/RNAVO     !--mg S/m2
+        trm(i,itr)=trm(i,itr)+tr_seri(i,k,itr)*1.e6*zdz(i,k)*  &
+                 masse(itr)*1.e3/RNAVO     !--mg S/m2
       ENDDO
       ENDDO
@@ -3321,8 +3323,8 @@
 ! Computing Surface concentration in ug/m3
 !
-      DO it=1, nbtr
+      DO itr=1,nbtr
       DO i=1, klon
-        sconc_seri(i,it)=tr_seri(i,1,it)*1.e6* &
-                 masse(it)*1.e3/RNAVO     !--mg/m3 (tr_seri ist in g/cm3)
+        sconc_seri(i,itr)=tr_seri(i,1,itr)*1.e6* &
+                 masse(itr)*1.e3/RNAVO     !--mg/m3 (tr_seri ist in g/cm3)
       ENDDO
       ENDDO
@@ -3556,7 +3558,7 @@
 !======================================================================
 #ifdef IOPHYS_DUST
-      do it=1,nbtr
-         write(str2,'(i2.2)') it
-         call iophys_ecrit('TRK'//str2,klev,'SOURCE','',tr_seri(:,:,it))
+      do itr=1,nbtr
+         write(str2,'(i2.2)') itr
+         call iophys_ecrit('TRK'//str2,klev,'SOURCE','',tr_seri(:,:,itr))
       enddo
 #endif
@@ -3568,8 +3570,8 @@
       ENDIF
 
-      DO it=1, nbtr
+      DO itr=1,nbtr
          DO j=1,klev
          DO i=1,klon
-           tmp_var(i,j)=tr_seri(i,j,it)
+           tmp_var(i,j)=tr_seri(i,j,itr)
          ENDDO 
          ENDDO
@@ -3577,5 +3579,5 @@
          DO j=1,klev
          DO i=1,klon
-           tr_seri(i,j,it)=tmp_var(i,j)
+           tr_seri(i,j,itr)=tmp_var(i,j)
          ENDDO 
          ENDDO
@@ -3726,8 +3728,8 @@
 !      prepare outputs cvltr
 
-      DO it=1, nbtr
+      DO itr=1,nbtr
         DO k=1,klev
         DO i=1,klon
-           tmp_var(i,k)=d_tr_cv(i,k,it)
+           tmp_var(i,k)=d_tr_cv(i,k,itr)
         ENDDO
         ENDDO
@@ -3735,13 +3737,13 @@
        DO k=1,klev
         DO i=1,klon
-          d_tr_cv_o(i,k,it)=tmp_var(i,k)  &
-                         /RNAVO*masse(it)*1.e3*1.e6*zdz(i,k)/pdtphys  
+          d_tr_cv_o(i,k,itr)=tmp_var(i,k)  &
+                         /RNAVO*masse(itr)*1.e3*1.e6*zdz(i,k)/pdtphys  
         ENDDO
        ENDDO
       ENDDO
-      DO it=1, nbtr
+      DO itr=1,nbtr
         DO k=1,klev
         DO i=1,klon
-           tmp_var(i,k)=d_tr_trsp(i,k,it)
+           tmp_var(i,k)=d_tr_trsp(i,k,itr)
         ENDDO
         ENDDO
@@ -3749,13 +3751,13 @@
        DO k=1,klev
         DO i=1,klon
-          d_tr_trsp_o(i,k,it)=tmp_var(i,k)  &
-                         /RNAVO*masse(it)*1.e3*1.e6*zdz(i,k)/pdtphys  
+          d_tr_trsp_o(i,k,itr)=tmp_var(i,k)  &
+                         /RNAVO*masse(itr)*1.e3*1.e6*zdz(i,k)/pdtphys  
         ENDDO
        ENDDO
       ENDDO
-      DO it=1, nbtr
+      DO itr=1,nbtr
         DO k=1,klev
         DO i=1,klon
-           tmp_var(i,k)=d_tr_sscav(i,k,it)
+           tmp_var(i,k)=d_tr_sscav(i,k,itr)
         ENDDO
         ENDDO
@@ -3763,13 +3765,13 @@
        DO k=1,klev
         DO i=1,klon
-          d_tr_sscav_o(i,k,it)=tmp_var(i,k)  &
-                         /RNAVO*masse(it)*1.e3*1.e6*zdz(i,k)/pdtphys  
+          d_tr_sscav_o(i,k,itr)=tmp_var(i,k)  &
+                         /RNAVO*masse(itr)*1.e3*1.e6*zdz(i,k)/pdtphys  
         ENDDO
        ENDDO
       ENDDO
-      DO it=1, nbtr
+      DO itr=1,nbtr
         DO k=1,klev
         DO i=1,klon
-           tmp_var(i,k)=d_tr_sat(i,k,it)
+           tmp_var(i,k)=d_tr_sat(i,k,itr)
         ENDDO
         ENDDO
@@ -3777,13 +3779,13 @@
        DO k=1,klev
         DO i=1,klon
-          d_tr_sat_o(i,k,it)=tmp_var(i,k)   &
-                         /RNAVO*masse(it)*1.e3*1.e6*zdz(i,k)/pdtphys  
+          d_tr_sat_o(i,k,itr)=tmp_var(i,k)   &
+                         /RNAVO*masse(itr)*1.e3*1.e6*zdz(i,k)/pdtphys  
         ENDDO
        ENDDO
       ENDDO
-      DO it=1, nbtr
+      DO itr=1,nbtr
         DO k=1,klev
         DO i=1,klon
-           tmp_var(i,k)=d_tr_uscav(i,k,it)
+           tmp_var(i,k)=d_tr_uscav(i,k,itr)
         ENDDO
         ENDDO
@@ -3791,6 +3793,6 @@
        DO k=1,klev
         DO i=1,klon
-          d_tr_uscav_o(i,k,it)=tmp_var(i,k)  &
-                         /RNAVO*masse(it)*1.e3*1.e6*zdz(i,k)/pdtphys  
+          d_tr_uscav_o(i,k,itr)=tmp_var(i,k)  &
+                         /RNAVO*masse(itr)*1.e3*1.e6*zdz(i,k)/pdtphys  
         ENDDO
        ENDDO
@@ -3798,8 +3800,8 @@
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
      !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
-      DO it=1, nbtr
+      DO itr=1,nbtr
         DO k=1,klev
         DO i=1,klon
-           tmp_var(i,k)=d_tr_insc(i,k,it)
+           tmp_var(i,k)=d_tr_insc(i,k,itr)
         ENDDO
         ENDDO
@@ -3807,6 +3809,6 @@
        DO k=1,klev
         DO i=1,klon
-          d_tr_insc_o(i,k,it)=tmp_var(i,k)  &
-                         /RNAVO*masse(it)*1.e3*1.e6*zdz(i,k)/pdtphys  
+          d_tr_insc_o(i,k,itr)=tmp_var(i,k)  &
+                         /RNAVO*masse(itr)*1.e3*1.e6*zdz(i,k)/pdtphys  
         ENDDO
        ENDDO
@@ -3814,8 +3816,8 @@
      
 
-      DO it=1, nbtr
+      DO itr=1,nbtr
         DO k=1,klev
         DO i=1,klon
-           tmp_var(i,k)=d_tr_bcscav(i,k,it)
+           tmp_var(i,k)=d_tr_bcscav(i,k,itr)
         ENDDO
         ENDDO
@@ -3823,6 +3825,6 @@
        DO k=1,klev
         DO i=1,klon
-          d_tr_bcscav_o(i,k,it)=tmp_var(i,k)  &
-                         /RNAVO*masse(it)*1.e3*1.e6*zdz(i,k)/pdtphys  
+          d_tr_bcscav_o(i,k,itr)=tmp_var(i,k)  &
+                         /RNAVO*masse(itr)*1.e3*1.e6*zdz(i,k)/pdtphys  
         ENDDO
        ENDDO
@@ -3830,8 +3832,8 @@
 
 
-      DO it=1, nbtr
+      DO itr=1,nbtr
         DO k=1,klev
         DO i=1,klon
-           tmp_var(i,k)=d_tr_evapls(i,k,it)
+           tmp_var(i,k)=d_tr_evapls(i,k,itr)
         ENDDO
         ENDDO
@@ -3839,6 +3841,6 @@
        DO k=1,klev
         DO i=1,klon
-          d_tr_evapls_o(i,k,it)=tmp_var(i,k)  &
-                         /RNAVO*masse(it)*1.e3*1.e6*zdz(i,k)/pdtphys  
+          d_tr_evapls_o(i,k,itr)=tmp_var(i,k)  &
+                         /RNAVO*masse(itr)*1.e3*1.e6*zdz(i,k)/pdtphys  
         ENDDO
        ENDDO
@@ -3846,8 +3848,8 @@
 
 
-      DO it=1, nbtr
+      DO itr=1,nbtr
         DO k=1,klev
         DO i=1,klon
-           tmp_var(i,k)=d_tr_ls(i,k,it)
+           tmp_var(i,k)=d_tr_ls(i,k,itr)
         ENDDO
         ENDDO
@@ -3855,6 +3857,6 @@
        DO k=1,klev
         DO i=1,klon
-          d_tr_ls_o(i,k,it)=tmp_var(i,k)  &
-                         /RNAVO*masse(it)*1.e3*1.e6*zdz(i,k)/pdtphys  
+          d_tr_ls_o(i,k,itr)=tmp_var(i,k)  &
+                         /RNAVO*masse(itr)*1.e3*1.e6*zdz(i,k)/pdtphys  
         ENDDO
        ENDDO
@@ -3862,8 +3864,8 @@
 
 
-      DO it=1, nbtr
+      DO itr=1,nbtr
         DO k=1,klev
         DO i=1,klon
-           tmp_var(i,k)=d_tr_dyn(i,k,it)
+           tmp_var(i,k)=d_tr_dyn(i,k,itr)
         ENDDO
         ENDDO
@@ -3871,6 +3873,6 @@
        DO k=1,klev
         DO i=1,klon
-          d_tr_dyn_o(i,k,it)=tmp_var(i,k)  &
-                         /RNAVO*masse(it)*1.e3*1.e6*zdz(i,k)/pdtphys  
+          d_tr_dyn_o(i,k,itr)=tmp_var(i,k)  &
+                         /RNAVO*masse(itr)*1.e3*1.e6*zdz(i,k)/pdtphys  
         ENDDO
        ENDDO
@@ -3878,8 +3880,8 @@
 
 
-      DO it=1, nbtr
+      DO itr=1,nbtr
         DO k=1,klev
         DO i=1,klon
-           tmp_var(i,k)=d_tr_cl(i,k,it)
+           tmp_var(i,k)=d_tr_cl(i,k,itr)
         ENDDO
         ENDDO
@@ -3887,6 +3889,6 @@
        DO k=1,klev
         DO i=1,klon
-          d_tr_cl_o(i,k,it)=tmp_var(i,k)  &
-                         /RNAVO*masse(it)*1.e3*1.e6*zdz(i,k)/pdtphys  
+          d_tr_cl_o(i,k,itr)=tmp_var(i,k)  &
+                         /RNAVO*masse(itr)*1.e3*1.e6*zdz(i,k)/pdtphys  
         ENDDO
        ENDDO
@@ -3894,8 +3896,8 @@
 
 
-      DO it=1, nbtr
+      DO itr=1,nbtr
         DO k=1,klev
         DO i=1,klon
-           tmp_var(i,k)=d_tr_th(i,k,it)
+           tmp_var(i,k)=d_tr_th(i,k,itr)
         ENDDO
         ENDDO
@@ -3903,6 +3905,6 @@
        DO k=1,klev
         DO i=1,klon
-          d_tr_th_o(i,k,it)=tmp_var(i,k)  &
-                         /RNAVO*masse(it)*1.e3*1.e6*zdz(i,k)/pdtphys  
+          d_tr_th_o(i,k,itr)=tmp_var(i,k)  &
+                         /RNAVO*masse(itr)*1.e3*1.e6*zdz(i,k)/pdtphys  
         ENDDO
        ENDDO
@@ -3911,9 +3913,9 @@
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
 
-     DO it=1,nbtr
-      WRITE(str2,'(i2.2)') it
+     DO itr=1,nbtr
+      WRITE(str2,'(i2.2)') itr
        DO i=1, klon                                                        
-        his_dh(i,it)= his_dhlsc(i,it)+his_dhcon(i,it)+               &
-                   his_dhbclsc(i,it)+his_dhbccon(i,it)
+        his_dh(i,itr)= his_dhlsc(i,itr)+his_dhcon(i,itr)+               &
+                   his_dhbclsc(i,itr)+his_dhbccon(i,itr)
 
        ENDDO
